{
  "private": true,
  "scripts": {
    "clean": "rm -rf public/assets tmp/cache/*-loader",
    "dev-server": "nodemon -w 'config/webpack.config.js' --exec 'webpack-dev-server --config config/webpack.config.js'",
    "eslint": "eslint --max-warnings 0 --report-unused-disable-directives --ext .js,.vue .",
    "eslint-fix": "eslint --max-warnings 0 --report-unused-disable-directives --ext .js,.vue --fix .",
    "eslint-report": "eslint --max-warnings 0 --ext .js,.vue --format html --output-file ./eslint-report.html --no-inline-config .",
    "karma": "BABEL_ENV=${BABEL_ENV:=karma} karma start --single-run true config/karma.config.js",
    "karma-coverage": "BABEL_ENV=coverage karma start --single-run true config/karma.config.js",
    "karma-start": "BABEL_ENV=karma karma start config/karma.config.js",
    "postinstall": "node ./scripts/frontend/postinstall.js",
    "prettier-staged": "node ./scripts/frontend/prettier.js check",
    "prettier-staged-save": "node ./scripts/frontend/prettier.js save",
    "prettier-all": "node ./scripts/frontend/prettier.js check-all",
    "prettier-all-save": "node ./scripts/frontend/prettier.js save-all",
    "webpack": "webpack --config config/webpack.config.js",
    "webpack-prod": "NODE_ENV=production webpack --config config/webpack.config.js"
  },
  "dependencies": {
    "@babel/core": "^7.1.2",
    "@babel/plugin-proposal-class-properties": "^7.1.0",
    "@babel/plugin-proposal-json-strings": "^7.0.0",
    "@babel/plugin-syntax-dynamic-import": "^7.0.0",
    "@babel/plugin-syntax-import-meta": "^7.0.0",
    "@babel/preset-env": "^7.1.0",
    "@gitlab/svgs": "^1.38.0",
    "@gitlab/ui": "^1.11.0",
    "apollo-boost": "^0.1.20",
    "apollo-client": "^2.4.5",
    "autosize": "^4.0.0",
    "axios": "^0.17.1",
    "babel-loader": "^8.0.4",
    "bootstrap": "4.1.1",
    "brace-expansion": "^1.1.8",
    "cache-loader": "^1.2.2",
    "chart.js": "1.0.2",
    "classlist-polyfill": "^1.2.0",
    "clipboard": "^1.7.1",
    "codesandbox-api": "^0.0.18",
    "compression-webpack-plugin": "^2.0.0",
    "core-js": "^2.4.1",
    "cropper": "^2.3.0",
    "css-loader": "^1.0.0",
    "d3": "4.12.2",
    "d3-array": "^1.2.1",
    "d3-axis": "^1.0.8",
    "d3-brush": "^1.0.4",
    "d3-scale": "^1.0.7",
    "d3-selection": "^1.2.0",
    "d3-shape": "^1.2.0",
    "d3-time": "^1.0.8",
    "d3-time-format": "^2.1.1",
    "dateformat": "^3.0.3",
    "deckar01-task_list": "^2.0.0",
    "diff": "^3.4.0",
    "document-register-element": "1.3.0",
    "dropzone": "^4.2.0",
    "emoji-unicode-version": "^0.2.1",
    "exports-loader": "^0.7.0",
    "file-loader": "^2.0.0",
    "formdata-polyfill": "^3.0.11",
    "fuzzaldrin-plus": "^0.5.0",
    "glob": "^7.1.2",
    "graphql": "^14.0.2",
    "imports-loader": "^0.8.0",
    "jed": "^1.1.1",
    "jquery": "^3.2.1",
    "jquery-ujs": "1.2.2",
    "jquery.waitforimages": "^2.2.0",
    "js-cookie": "^2.1.3",
    "jszip": "^3.1.3",
    "jszip-utils": "^0.0.2",
    "katex": "^0.9.0",
    "marked": "^0.3.12",
    "mermaid": "^8.0.0-rc.8",
    "monaco-editor": "^0.14.3",
    "monaco-editor-webpack-plugin": "^1.5.4",
    "mousetrap": "^1.4.6",
    "pikaday": "^1.6.1",
    "popper.js": "^1.14.3",
    "prismjs": "^1.6.0",
    "raphael": "^2.2.7",
    "raven-js": "^3.22.1",
    "raw-loader": "^0.5.1",
    "sanitize-html": "^1.16.1",
    "select2": "3.5.2-browserify",
    "sha1": "^1.1.1",
    "smooshpack": "^0.0.48",
    "sortablejs": "^1.7.0",
    "sql.js": "^0.4.0",
    "stickyfilljs": "^2.0.5",
    "style-loader": "^0.23.0",
    "svg4everybody": "2.1.9",
    "three": "^0.84.0",
    "three-orbit-controls": "^82.1.0",
    "three-stl-loader": "^1.0.4",
    "timeago.js": "^3.0.2",
    "underscore": "^1.9.0",
    "url-loader": "^1.1.1",
    "visibilityjs": "^1.2.4",
    "vue": "^2.5.17",
    "vue-apollo": "^3.0.0-beta.25",
    "vue-loader": "^15.4.2",
    "vue-resource": "^1.5.0",
    "vue-router": "^3.0.1",
    "vue-template-compiler": "^2.5.17",
    "vue-virtual-scroll-list": "^1.2.5",
    "vuex": "^3.0.1",
    "webpack": "^4.19.1",
    "webpack-bundle-analyzer": "^3.0.2",
    "webpack-cli": "^3.1.0",
    "webpack-stats-plugin": "^0.2.1",
    "worker-loader": "^2.0.0",
    "xterm": "^3.5.0"
  },
  "devDependencies": {
    "@gitlab/eslint-config": "^1.2.0",
    "@vue/test-utils": "^1.0.0-beta.25",
    "axios-mock-adapter": "^1.15.0",
    "babel-plugin-istanbul": "^5.1.0",
    "babel-plugin-rewire": "^1.2.0",
    "babel-template": "^6.26.0",
    "babel-types": "^6.26.0",
    "chalk": "^2.4.1",
    "commander": "^2.18.0",
    "eslint": "~5.6.0",
    "eslint-import-resolver-webpack": "^0.10.1",
    "eslint-plugin-html": "4.0.5",
    "eslint-plugin-import": "^2.14.0",
    "eslint-plugin-jasmine": "^2.10.1",
    "gettext-extractor": "^3.3.2",
    "gettext-extractor-vue": "^4.0.1",
    "graphql-tag": "^2.10.0",
    "istanbul": "^0.4.5",
    "jasmine-core": "^2.9.0",
    "jasmine-diff": "^0.1.3",
    "jasmine-jquery": "^2.1.1",
    "karma": "^3.0.0",
    "karma-chrome-launcher": "^2.2.0",
    "karma-coverage-istanbul-reporter": "^2.0.4",
    "karma-jasmine": "^1.1.2",
    "karma-junit-reporter": "^1.2.0",
    "karma-mocha-reporter": "^2.2.5",
    "karma-sourcemap-loader": "^0.3.7",
    "karma-webpack": "^4.0.0-beta.0",
    "nodemon": "^1.18.4",
    "prettier": "1.15.2",
    "webpack-dev-server": "^3.1.10"
  }
}
